MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029574Open CASCADE[OCCT] OCCT:Application Frameworkpublic2018-03-14 17:302018-06-29 21:19
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAllOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029574: Protection of attributes retrieval against zero ID in Ocaf XML
DescriptionAt the moment GUID is applied to attribute (several IDs schema)at the end a Driver working life cycle. In case of any failure before this last step the GUID field will not be filled. Taking into account the previous improvement 29220 (unification of the messaging sub-system) it leads to unwanted behavior.
The supposed improvement should be applied to attributes supporting several IDs schema.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0074708)
git (administrator)
2018-03-20 16:26

Branch CR29574 has been created by szy.

SHA-1: c5e1a645338476765a4001220461a830cf6dd25d


Detailed log of new commits:

Author: szy
Date: Mon Mar 19 18:43:04 2018 +0300

    0029574: Protection of attributes retrieval against zero ID in Ocaf XML.
    
    //Impacts attributes supporting user defined IDs.
(0074720)
szy (developer)
2018-03-21 10:39

Fixed. Review, please.
- http://jenkins-test-11.nnov.opencascade.com:8080/job/CR29574-master-szy-OCCT-Windows-64-VC10-opt-test-compare/1/ [^]
- http://jenkins-test-11.nnov.opencascade.com:8080/job/CR29574-master-szy-OCCT-Debian70-64-opt-test-compare/1/ [^]
- http://jenkins-test-11.nnov.opencascade.com:8080/job/CR29574-master-szy-Products-Windows-64-VC10-opt-test-compare/1/ [^]
- http://jenkins-test-11.nnov.opencascade.com:8080/job/CR29574-master-szy-Products-Debian70-64-opt-test-compare/1/ [^]
(0074723)
bugmaster (administrator)
2018-03-21 12:40

Combination -
OCCT branch : CR29574 SHA - c5e1a645338476765a4001220461a830cf6dd25d
Products branch : master SHA - 2f8f449f24696d59603ade3d9a086e77e8b9a304
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18084.569999999792 / 18107.97999999989 [-0.13%]
Products
Total CPU difference: 7426.90000000002 / 7427.109999999995 [-0.00%]
Windows-64-VC10:
OCCT
Total CPU difference: 17185.616163498533 / 17842.61437499857 [-3.68%]
Products
Total CPU difference: 8091.849870499976 / 8148.135031299978 [-0.69%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075327)
git (administrator)
2018-04-11 11:00

Branch CR29574 has been deleted by kgv.

SHA-1: c5e1a645338476765a4001220461a830cf6dd25d

- Related Changesets
occt: master cbc4faa9
Timestamp: 2018-03-19 15:43:04
Author: szy
Committer: bugmaster
Details ] Diff ]
0029574: Protection of attributes retrieval against zero ID in Ocaf XML.

//Impacts attributes supporting user defined IDs.
mod - src/XmlMDataStd/XmlMDataStd_BooleanArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NameDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceListDriver.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-14 17:30 szy New Issue
2018-03-14 17:30 szy Assigned To => szy
2018-03-14 17:32 szy Status new => assigned
2018-03-20 16:26 git Note Added: 0074708
2018-03-21 10:38 szy Assigned To szy => mpv
2018-03-21 10:38 szy Status assigned => resolved
2018-03-21 10:38 szy Steps to Reproduce Updated View Revisions
2018-03-21 10:39 szy Note Added: 0074720
2018-03-21 10:39 szy Steps to Reproduce Updated View Revisions
2018-03-21 11:20 mpv Assigned To mpv => bugmaster
2018-03-21 11:20 mpv Status resolved => reviewed
2018-03-21 12:40 bugmaster Note Added: 0074723
2018-03-21 12:40 bugmaster Status reviewed => tested
2018-03-21 12:46 bugmaster Test case number => Not needed
2018-03-21 12:46 bugmaster Steps to Reproduce Updated View Revisions
2018-04-10 11:57 abv Target Version 7.4.0* => 7.3.0
2018-04-11 07:49 bugmaster Changeset attached => occt master cbc4faa9
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075327
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker